%{?nodejs_find_provides_and_requires}

%global packagename mute-stream
%global enable_tests 1


Name:           nodejs-mute-stream
Version:        0.0.6
Release:        5%{?dist}
Summary:        Basic pass-through stream, but when muted, the bytes are dropped
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

License:        BSD
URL:            https://github.com/isaacs/mute-stream
Source0:        https://registry.npmjs.org/mute-stream/-/mute-stream-%{version}.tgz

BuildRequires:  nodejs-packaging
BuildRequires:  npm(tap)

%description
This is a basic pass-through stream, but when muted, the bytes are
silently dropped, rather than being passed through.

%prep
%setup -q -n package

%build
#nothing to see here, move along

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mute-stream
cp -pr package.json mute.js %{buildroot}%{nodejs_sitelib}/mute-stream

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%{nodejs_sitelib}/mute-stream
%doc README.md
%license LICENSE

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 03 2016 Jared Smith <jsmith@fedoraproject.org> - 0.0.6-1
- Update to upstream 0.0.6 release

* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.0.5-2
- cleanup spec

* Thu Feb 04 2016 Jared Smith <jsmith@fedoraproject.org> - 0.0.5-1
- Update to upstream 0.0.5 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.4-1
- new upstream release 0.0.4

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-6
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-5
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-2
- fix summary, URL
- add no-op build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.3-1
- initial package generated by npm2rpm
